# Module ethcore::ethereum [−] [src]

Ethereum protocol module.

Contains all Ethereum network specific stuff, such as denominations and consensus specifications.

## Reexports

`pub use self::ethash::{Ethash};`
`pub use self::denominations::*;`

## Modules

denominations | Export the denominations module.
ethash | Export the ethash module.

## Constants

FORK_SUPPORTED_FRONTIER | Most recent fork block that we support on Mainnet.
FORK_SUPPORTED_ROPSTEN | Most recent fork block that we support on Ropsten.

## Functions

new_classic | Create a new Frontier mainnet chain spec without the DAO hardfork.
new_eip150_test | Create a new Homestead-EIP150 chain spec as though it never changed from Homestead/Frontier.
new_eip161_test | Create a new Homestead-EIP150 chain spec as though it never changed from Homestead/Frontier.
new_expanse | Create a new Frontier mainnet chain spec without the DAO hardfork.
new_frontier | Create a new Frontier mainnet chain spec.
new_frontier_test | Create a new Frontier chain spec as though it never changes to Homestead.
new_homestead_test | Create a new Homestead chain spec as though it never changed from Frontier.
new_mainnet_like | Create a new Frontier main net chain spec without genesis accounts.
new_morden | Create a new Morden chain spec.
new_olympic | Create a new Olympic chain spec.
new_ropsten | Create a new Ropsten chain spec.
new_transition_test | Create a new Frontier/Homestead/DAO chain spec with transition points at #5 and #8.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)